<?php
require_once __DIR__ . '/Config.php';
?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="css/form.css" />
<link rel="stylesheet" type="text/css" href="css/style.css" />
<title>Form with Google reCaptcha V3</title>

<script
    src="https://www.google.com/recaptcha/api.js?render=<?php echo Config::GOOGLE_RECAPTCHA_SITE_KEY; ?>"></script>
</head>
<body>
    <div class="phppot-container tile-container">
        <h3 class="text-center">Google reCaptcha V3</h3>

        <form id="frm" name="frm" method="post"
            onSubmit="getToken(event)">
            <div>
                <div class="row">
                    <label>Feedback</label>
                    <input type="text" name="txt_report"  class="full-width" required>
                </div>
                <div class="row">
                    <input type="submit" value="Send" class="full-width">
                </div>
                <div id="ack-message"></div>
            </div>
        </form>
    </div>
    <script>
        function getToken(event) {
            event.preventDefault();

            grecaptcha.ready(function() {
                grecaptcha.execute('<?php echo Config::GOOGLE_RECAPTCHA_SITE_KEY; ?>', { action: 'submit' }).then(function(token) {

                    var button = document.createElement('input');
                    button.type = 'hidden';
                    button.name = 'recaptcha_token';
                    button.id = 'recaptcha_token';
                    button.value = token;

                    var form = document.getElementById("frm");
                    form.appendChild(button);

                    submitForm();
                });;
            });
        }

        function submitForm() {
            const form = document.getElementById('frm');
            const formData = new FormData(form);
            var xhttp = new XMLHttpRequest();
            xhttp.open('POST', 'form-action.php', true);
            xhttp.send(formData);
            xhttp.onreadystatechange = function() {
                if (xhttp.readyState == 4 && xhttp.status == 200) {
                    document.getElementById("ack-message").innerHTML = xhttp.responseText;
                    document.getElementById('recaptcha_token').remove();
                }
            }
        }
  </script>
</body>
</html>